#if !defined  HAVE_WALSHEIGEN_H__
#define       HAVE_WALSHEIGEN_H__

#include "walsh/walshbasefunc.h"
#include "fxttypes.h"

//: eigenvectors for certain Walsh transforms

// walsh/walsheigen.cc:
void walsh_wak_eigen(double *v, ulong ldn, ulong k);
void walsh_wal_eigen(double *v, ulong ldn, ulong k);
void walsh_pal_eigen(double *v, ulong ldn, ulong k);


#endif  // !defined HAVE_WALSHEIGEN_H__
